My Project: dht::http::Connection Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dht::http::Connection Class Reference
Inheritance diagram for dht::http::Connection:
[legend]
Collaboration diagram for dht::http::Connection:
[legend]

## Public Member Functions
| Connection (asio::io_context &ctx, const bool ssl=true, std::shared_ptr< log::Logger > l={})
| Connection (asio::io_context &ctx, std::shared_ptr< dht::crypto::Certificate > server_ca, const dht::crypto::Identity &identity, std::shared_ptr< log::Logger > l={})
unsigned int | id () const
bool | is_open () const
bool | is_ssl () const
void | checkOcsp (bool check=true)
void | set_ssl_verification (const std::string &hostname, const asio::ssl::verify_mode verify_mode)
asio::streambuf & | input ()
std::istream & | data ()
std::string | read_bytes (size_t bytes=0)
std::string | read_until (const char delim)
void | async_connect (std::vector< asio::ip::tcp::endpoint > &&endpoints, ConnectHandlerCb)
void | async_handshake (HandlerCb cb)
void | async_write (BytesHandlerCb cb)
void | async_read_until (const char *delim, BytesHandlerCb cb)
void | async_read_until (char delim, BytesHandlerCb cb)
void | async_read (size_t bytes, BytesHandlerCb cb)
void | async_read_some (size_t bytes, BytesHandlerCb cb)
void | set_keepalive (uint32_t seconds)
const asio::ip::address & | local_address () const
void | timeout (const std::chrono::seconds &timeout, HandlerCb cb={})
void | close ()

## Detailed Description

Definition at line 72 of file http.h.

## Member Function Documentation

## ◆ checkOcsp()

void dht::http::Connection::checkOcsp | ( | bool | check = true | ) |
| inline

Definition at line 85 of file http.h.

## ◆ data()

std::istream & dht::http::Connection::data | ( |  | ) |
| inline

Definition at line 90 of file http.h.

## ◆ id()

unsigned int dht::http::Connection::id | ( |  | ) | const
| inline

Definition at line 82 of file http.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/http.h